TAU_PROFILE_INIT(3)

NAME
TAU_PROFILE_INIT - Processes command-line arguments for selective instrumentation

SYNOPSIS

C/C++:

TAU_PROFILE_INIT(int argc, char **argv);

Fortran:

TAU_PROFILE_INIT(void);

DESCRIPTION

TAU_PROFILE_INIT parses the command-line arguments for the names of profile groups that are to be selectively enabled for instrumentation. By default, if this macro is not used, functions belonging to all profile groups are enabled. TAU_INIT differs from TAU_PROFILE_INIT only in the argument types.

EXAMPLE

C/C++ :

int main(int argc, char **argv) {
  TAU_PROFILE("main()", "int (int, char **)", TAU_DEFAULT);
  TAU_PROFILE_INIT(argc, argv);
  ...
}
% ./a.out --profile 12+14

Fortran :

PROGRAM SUM_OF_CUBES
  integer profiler(2)
  save profiler

  call TAU_PROFILE_INIT()
  ...

SEE ALSO

TAU_INIT(3)